标签:: 后端

PHP 开发的 API 多版本管理实践

遇到的情况本文针对移动互联网客户端需要兼容旧版的情况,强制升级到最新版本的 app 不在讨论之列。 在 bugtags.com 项目中,我们的版本遵循下面规范。1.0.1大功能.小更新.bug 修正我们的版本列表如下: 1.0、1.1、1.2、1.3、1.42.0、2.1、2.2、2.33.0、3.1…5.0 这样一个版本结构,所有版本都可以用,跨度最大时,1.0 用户要跟 5.0 用户并存。